- name: Configure Kubernetes Master
  hosts: master
  become: yes
  roles:
    - common
    - vaultwarden
    - kubernetes
    - kube-master
    - nvidia-base

- name: Configure Kubernetes Nodes
  hosts: workers
  become: yes
  roles:
    - common
    - vaultwarden
    - kubernetes
    - kube-node
    - nvidia-base
    
- name: Configure Kubernetes Data
  hosts: master
  become: yes
  roles:
    - nvidia
    - stolon
    - cloudflared
    - qbittorrent
    - prowlarr
    - sonarr
    - radarr
    - jellyfin
    - flaresolverr
    - jellyseerr
    - decluttarr
    - bazarr
    - libreTranslate
    - lingarr
    - cripto
    - anchorr
    - lazylibrarian
    - mangareader
    - bookshelf
    - shelfarr
    - minecraft